%!octave 
%
%      
%       OS : GNU/Linux 3.9.3-1-ARCH 
% COMPILER : GNU Octave, version 3.8.0
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: plot_data.m,v 1.1 2014/05/18 11:11:25 mechanoid Exp mechanoid $

% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
function plot_data(D,Yr,file),
   pix_size="-S640,640";
   pix_font_size=10;
   pix_format="gif";
   fm=sprintf("-d%s",pix_format);

   X=D{1}; Y=D{2};

   xm=ceil(max(max(X))) ; ax=[ 0 xm 0 xm ] ;

   szX=size(X,1) ;

   clf; hold on; axis(ax); grid on; set(gca,"fontsize",pix_font_size); 
   
   plot( X, Y, ".b");
   if !isempty(Yr), 
      r=sortrows([X Yr],1) ;
	  plot( r(:,1), r(:,2), "-r");
   endif

   file=sprintf("result/%s.%s",file,pix_format);
   title(sprintf("points: %i",szX)) ;
   print(file,fm,pix_size) ;

endfunction

